@import '../index';
@import '../rem';

.base {
  transition: all 0.3s ease;
  display: grid;
  grid-template-columns: rem(24px) 1fr auto;
  grid-template-rows: repeat(2, auto);
  text-decoration: none;
  cursor: pointer;

  * {
    transition: all 0.3s ease;
    margin: 0;
  }

  span {
    grid-column: 1/2;
    grid-row: 1/2;
    align-self: center;
    justify-self: center;
  }
}

.padding {
  padding: rem(8px) rem(24px) rem(8px) 0;
}